Subject: [PATCH 0/4] ARM: dts: Use labels instead of full paths for Exynos5 pinctrl nodes

From: [email-masked] (Krzysztof Kozlowski)
Date: Thu, 09 Jul 2015 08:51:53 +0900

On 08.07.2015 23:15, Javier Martinez Canillas wrote:
> Krzysztof,
> 
> On 07/08/2015 01:27 AM, Krzysztof Kozlowski wrote:
>> On 08.07.2015 14:36, Javier Martinez Canillas wrote:
>>> Hello Kukjin and Krzysztof,
>>>
>>> This is a trivial series that changes Exynos5 pinctrl dtsi files to extend
>>> the pinctrl nodes using labels instead of full paths.
>>>
>>> Using labels is less error prone since a misstyped label leads to a build
>>> error while full paths can lead to the creation of a new node instead of
>>> overriding the original which makes the mistake harder to detect.
>>>
>>> I tested the changes by decompiling the Exynos5* dtbs and comparing before
>>> and after. The resulting dts were identical modulo some node ordering due
>>> the pinctrl include change.
>>
>> Is the DTB before and after the same? It should not change by re-ordering.
>>
> 
> The DTB differ but I'm not that familiar with how dtc represents the FDT
> to know what is changing in the binary.
> 
> But as mentioned, the decompiled DTS only changes in which position the
> pinctrl are defined and both DTS are identical if I do:
> 
> $ cat decompiled.dts | sort

Right, the DTB may differ because of change of definition's location. If
sorting fixes this then I'm convinced.

Best regards,
Krzysztof